Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.local
Class CLIBackbone

    java.lang.Object
      java.lang.Thread
          things.thinger.kernel.ThingsProcess
              things.thinger.service.Service
                  things.thinger.service.local.CLIBackbone

All Implemented Interfaces:
  java.lang.Runnable, Verbose, ControlInterface, ProcessInterface, ResourceListener, CLIServiceConstants

Direct Known Subclasses:
  CLIService, ConsoleService, HttpCLIService

    public abstract class CLIBackbone

extends Service
implements CLIServiceConstants

A CLI Backbone. I'll pull some of the other functions in here later. Meanwhile, it just allows the various CLI users to see the transaction interface.

Version:
  1.0

  Version History

      EPG - Initial - 10 JAN 06

Author:
  Erich P. Gatejen

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected static Tender<java.lang.String,java.lang.String>` | `transactionInterface` The tender transaction point and it's lock.

Fields inherited from class things.thinger.service.Service
`myLogger`

Fields inherited from class things.thinger.kernel.ThingsProcess
`DEFAULT_NAME, internalResult, myPostLogger, ssi`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Fields inherited from interface things.thinger.service.local.CLIServiceConstants
`COMMAND_HELP, COMMAND_KILL, COMMAND_KILL_PID, COMMAND_KILL_PID_POSITION, COMMAND_PING, COMMAND_PING_WHISPER, COMMAND_PING_WHISPER_POSITION, COMMAND_PROCESSLIST, COMMAND_PROCESSLIST_LOG_VALUE, COMMAND_QUIT, COMMAND_RUN, COMMAND_RUN_NAME, COMMAND_RUN_NAME_POSITION, COMMAND_SETPROP, COMMAND_SETPROP_NAME, COMMAND_SETPROP_NAME_POSITION, COMMAND_SETPROP_VALUE, COMMAND_SETPROP_VALUE_POSITION, COMMAND_SHOWPROPS, COMMAND_SHOWPROPS_LOG_VALUE, HELP, POSITION_ARG1, POSITION_ARG2, POSITION_COMMAND, ROLLUP_WAIT`

Constructor Summary
`CLIBackbone()`

Method Summary
`java.lang.String` | `tender(java.lang.String input)` Tender a transaction.

Methods inherited from class things.thinger.service.Service
`serviceOff, serviceOn, setLogger`

Methods inherited from class things.thinger.kernel.ThingsProcess
`acceptHalt, acceptPause, constructThingsProcess, destructThingsProcess, executeThingsProcess, finalize, fix, forceFinalize, forceHalt, getCurrentState, getCurrentStateNumeric, getProcessId, getProcessName, getResult, getStartTime, getThingsState, init, isVerbose, release, releasePause, requestHalt, requestPause, run, screech, verboseOff, verboseOn`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface things.thinger.kernel.ResourceListener
`getListenerId, resourceRevocation, resourceRevoked`

Field Detail

### transactionInterface

    protected static final Tender<java.lang.String,java.lang.String> transactionInterface

  The tender transaction point and it's lock.

Constructor Detail

### CLIBackbone

    public CLIBackbone()

Method Detail

### tender

    public java.lang.String tender(java.lang.String input)
                            throws ThingsException

  Tender a transaction.

  Parameters:
    `input` - The input object.
  Returns:
    the output object.
  Throws:
    `ThingsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.